summaryrefslogtreecommitdiff
path: root/pkg/leap_mx.init
diff options
context:
space:
mode:
Diffstat (limited to 'pkg/leap_mx.init')
-rw-r--r--pkg/leap_mx.init66
1 files changed, 66 insertions, 0 deletions
diff --git a/pkg/leap_mx.init b/pkg/leap_mx.init
new file mode 100644
index 0000000..60dddc4
--- /dev/null
+++ b/pkg/leap_mx.init
@@ -0,0 +1,66 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: leap-mx
+# Required-Start: $network $named $remote_fs $syslog $time
+# Required-Stop: $network $named $remote_fs $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Start leap-mx daemon at boot time
+# Description: transparently-encrypting remailer
+### END INIT INFO
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+PIDFILE=/var/run/leap_mx.pid
+RUNDIR=/var/lib/leap_mx/
+FILE=/usr/share/app/leap_mx.tac
+LOGFILE=/var/log/leap_mx.log
+TWISTD_PATH=/usr/bin/twistd
+
+[ -r /etc/default/leap_mx ] && . /etc/default/leap_mx
+
+. /lib/lsb/init-functions
+
+test -r $file || exit 0
+test -r /etc/leap/ || exit 0
+
+
+case "$1" in
+ start)
+ echo -n "Starting leap_mx: twistd"
+ HOME="/var/lib/leap_mx/" \
+ start-stop-daemon --start --quiet --exec $TWISTD_PATH -- \
+ --pidfile=$PIDFILE \
+ --rundir=$RUNDIR \
+ --python=$FILE \
+ --logfile=$LOGFILE \
+ --syslog --prefix=leap-mx
+ echo "."
+ ;;
+
+ stop)
+ echo -n "Stopping leap_mx: twistd"
+ start-stop-daemon --stop --quiet \
+ --pidfile $PIDFILE
+ echo "."
+ ;;
+
+ restart)
+ $0 stop
+ $0 start
+ ;;
+
+ force-reload)
+ $0 restart
+ ;;
+
+ status)
+ status_of_proc -p $PIDFILE $TWISTD_PATH leap_mx && exit 0 || exit $?
+ ;;
+
+ *)
+ echo "Usage: /etc/init.d/leap_mx {start|stop|restart|force-reload|status}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0